aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.GetUserPolicy

Synopsis

- data GetUserPolicy = GetUserPolicy {
  - gupPolicyName :: Text
  - gupUserName :: Text
  }
- data GetUserPolicyResponse = GetUserPolicyResponse {
  - guprPolicyDocument :: Text
  - guprPolicyName :: Text
  - guprUserName :: Text
  }

# Documentation

data GetUserPolicy Source #

Retreives the specified policy document for the specified user.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_GetUserPolicy.html

Constructors

GetUserPolicy |

Fields

- gupPolicyName :: Text

  Name of the policy.

- gupUserName :: Text

  Name of the user with whom the policy is associated.

#### Instances

Instances details

SignQuery GetUserPolicy Source # |

Instance details

Defined in Aws.Iam.Commands.GetUserPolicy

Associated Types

type ServiceConfiguration GetUserPolicy |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy type ServiceConfiguration GetUserPolicy = IamConfiguration

Methods

signQuery :: GetUserPolicy -> ServiceConfiguration GetUserPolicy queryType -> SignatureData -> SignedQuery Source #

Show GetUserPolicy Source # |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy Methods showsPrec :: Int -> GetUserPolicy -> ShowS Source # show :: GetUserPolicy -> String Source # showList :: [GetUserPolicy] -> ShowS Source #
Eq GetUserPolicy Source # |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy Methods (==) :: GetUserPolicy -> GetUserPolicy -> Bool Source # (/=) :: GetUserPolicy -> GetUserPolicy -> Bool Source #
Ord GetUserPolicy Source # |

Instance details

Defined in Aws.Iam.Commands.GetUserPolicy

Methods

compare :: GetUserPolicy -> GetUserPolicy -> Ordering Source #

(<) :: GetUserPolicy -> GetUserPolicy -> Bool Source #

(<=) :: GetUserPolicy -> GetUserPolicy -> Bool Source #

(>) :: GetUserPolicy -> GetUserPolicy -> Bool Source #

(>=) :: GetUserPolicy -> GetUserPolicy -> Bool Source #

max :: GetUserPolicy -> GetUserPolicy -> GetUserPolicy Source #

min :: GetUserPolicy -> GetUserPolicy -> GetUserPolicy Source #

ResponseConsumer GetUserPolicy GetUserPolicyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.GetUserPolicy

Associated Types

type ResponseMetadata GetUserPolicyResponse |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy type ResponseMetadata GetUserPolicyResponse = IamMetadata

Methods

responseConsumer :: Request -> GetUserPolicy -> IORef (ResponseMetadata GetUserPolicyResponse) -> HTTPResponseConsumer GetUserPolicyResponse Source #

Transaction GetUserPolicy GetUserPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy
type ServiceConfiguration GetUserPolicy Source # |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy type ServiceConfiguration GetUserPolicy = IamConfiguration

data GetUserPolicyResponse Source #

Constructors

GetUserPolicyResponse |

Fields

- guprPolicyDocument :: Text

  The policy document.

- guprPolicyName :: Text

  Name of the policy.

- guprUserName :: Text

  Name of the user with whom the policy is associated.

#### Instances

Instances details

AsMemoryResponse GetUserPolicyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.GetUserPolicy

Associated Types

type MemoryResponse GetUserPolicyResponse |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy type MemoryResponse GetUserPolicyResponse = GetUserPolicyResponse

Methods

loadToMemory :: GetUserPolicyResponse -> ResourceT IO (MemoryResponse GetUserPolicyResponse) Source #

Show GetUserPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy Methods showsPrec :: Int -> GetUserPolicyResponse -> ShowS Source # show :: GetUserPolicyResponse -> String Source # showList :: [GetUserPolicyResponse] -> ShowS Source #
Eq GetUserPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy Methods (==) :: GetUserPolicyResponse -> GetUserPolicyResponse -> Bool Source # (/=) :: GetUserPolicyResponse -> GetUserPolicyResponse -> Bool Source #
Ord GetUserPolicyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.GetUserPolicy

Methods

compare :: GetUserPolicyResponse -> GetUserPolicyResponse -> Ordering Source #

(<) :: GetUserPolicyResponse -> GetUserPolicyResponse -> Bool Source #

(<=) :: GetUserPolicyResponse -> GetUserPolicyResponse -> Bool Source #

(>) :: GetUserPolicyResponse -> GetUserPolicyResponse -> Bool Source #

(>=) :: GetUserPolicyResponse -> GetUserPolicyResponse -> Bool Source #

max :: GetUserPolicyResponse -> GetUserPolicyResponse -> GetUserPolicyResponse Source #

min :: GetUserPolicyResponse -> GetUserPolicyResponse -> GetUserPolicyResponse Source #

ResponseConsumer GetUserPolicy GetUserPolicyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.GetUserPolicy

Associated Types

type ResponseMetadata GetUserPolicyResponse |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy type ResponseMetadata GetUserPolicyResponse = IamMetadata

Methods

responseConsumer :: Request -> GetUserPolicy -> IORef (ResponseMetadata GetUserPolicyResponse) -> HTTPResponseConsumer GetUserPolicyResponse Source #

Transaction GetUserPolicy GetUserPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy
type MemoryResponse GetUserPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy type MemoryResponse GetUserPolicyResponse = GetUserPolicyResponse
type ResponseMetadata GetUserPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy type ResponseMetadata GetUserPolicyResponse = IamMetadata